package com.jh.common.security;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.security.core.Authentication;
import org.springframework.security.web.authentication.SimpleUrlAuthenticationSuccessHandler;

/**
 * The Class RestAuthenticationSuccessHandler.
 */
public class RestAuthenticationSuccessHandler extends SimpleUrlAuthenticationSuccessHandler{
	
	/**
	 * Instantiates a new rest authentication success handler.
	 */
	public RestAuthenticationSuccessHandler(){
		super();
	}

	/**
	 * @param request
	 * @param response
	 * @param authentication
	 * @throws ServletException
	 * @throws IOException
	 * @see org.springframework.security.web.authentication.SimpleUrlAuthenticationSuccessHandler#onAuthenticationSuccess(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, org.springframework.security.core.Authentication)
	 */
	@Override
	public void onAuthenticationSuccess( final HttpServletRequest request, final HttpServletResponse response, final Authentication authentication ) throws ServletException, IOException{
		//super.onAuthenticationSuccess( request, response, authentication );
		this.clearAuthenticationAttributes( request );
	}
	
}